Rotate Api Key
curl --request POST \
--url https://api.example.com/api/v1/platform/api-keys/{kid}/rotateimport requests
url = "https://api.example.com/api/v1/platform/api-keys/{kid}/rotate"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/v1/platform/api-keys/{kid}/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}platform
Rotate Api Key
Rotate a key’s secret WITHOUT downtime: mint a new secret (returned ONCE), keep the old hash valid for a short grace window, then it’s automatically rejected. The key id/scopes are kept.
POST
/
api
/
v1
/
platform
/
api-keys
/
{kid}
/
rotate
Rotate Api Key
Path Parameters
Response
Successful Response
The response is of type Response Rotate Api Key Api V1 Platform Api Keys Kid Rotate Post · object.
⌘I